Bug 52651 - Add chromium bundled audio spatialization resources to WebAudio.grd
Summary: Add chromium bundled audio spatialization resources to WebAudio.grd
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-18 12:48 PST by Chris Rogers
Modified: 2011-01-21 12:30 PST (History)
3 users (show)

See Also:


Attachments
Patch (40.44 KB, patch)
2011-01-18 12:51 PST, Chris Rogers
no flags Details | Formatted Diff | Diff
Patch (38.80 KB, patch)
2011-01-18 15:10 PST, Chris Rogers
no flags Details | Formatted Diff | Diff
Patch (40.29 KB, patch)
2011-01-19 15:52 PST, Chris Rogers
kbr: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rogers 2011-01-18 12:48:57 PST
Add WebKitAudio.grd for chromium bundled audio spatialization resources
Comment 1 Chris Rogers 2011-01-18 12:51:02 PST
Created attachment 79311 [details]
Patch
Comment 2 Chris Rogers 2011-01-18 12:52:10 PST
Soon I'll be putting up a corresponding chromium-side patch.
Comment 3 Chris Rogers 2011-01-18 15:10:47 PST
Created attachment 79341 [details]
Patch
Comment 4 Chris Rogers 2011-01-18 15:12:29 PST
Last patch fixes "Source" path problem in .grd file
Comment 5 Tony Chang 2011-01-19 09:30:16 PST
Comment on attachment 79341 [details]
Patch

I would just put these into WebKit.grd because it's simpler.  There's not really any benefit to adding another grd file.
Comment 6 Chris Rogers 2011-01-19 15:52:30 PST
Created attachment 79509 [details]
Patch
Comment 7 Chris Rogers 2011-01-19 15:53:35 PST
Simplified to add the resources to WebKit.grd as you suggest.
Comment 8 Chris Rogers 2011-01-20 18:48:49 PST
Tony, can you please have a look at this.  You've already approved the corresponding chromium patch.

Thanks!
Comment 9 Kenneth Russell 2011-01-21 11:59:41 PST
Comment on attachment 79509 [details]
Patch

rs=me
Comment 10 Chris Rogers 2011-01-21 12:30:00 PST
Committed r76380: <http://trac.webkit.org/changeset/76380>